Skip to main content
GET
/
ca
/
api
/
balance-sheet
/
comparative
Get Comparative Balance Sheet
curl --request GET \
  --url https://api.meetcampfire.com/ca/api/balance-sheet/comparative \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.meetcampfire.com/ca/api/balance-sheet/comparative"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.meetcampfire.com/ca/api/balance-sheet/comparative', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "balance_sheet": [
    {
      "account_id": "12172",
      "account_name": "Cash and Cash Equivalents",
      "account_number": "111000",
      "hierarchy": [
        "ASSET",
        "12093",
        "12172"
      ],
      "2024-01-31_Total": 50000,
      "2024-02-29_Total": 55000,
      "comparison_1_Difference": 5000,
      "comparison_1_Percentage": 10
    }
  ],
  "headers": {
    "comparison_1": [
      "2024-01-31_Total",
      "2024-02-29_Total",
      "comparison_1_Difference",
      "comparison_1_Percentage"
    ]
  },
  "budget_id": null
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Query Parameters

cadence
enum<string>
default:monthly
Available options:
daily,
monthly,
quarterly,
weekly,
yearly
entity
integer

Entity ID(s) to scope the report. Can be repeated (?entity=1&entity=2) or JSON array

entity_rollup
boolean
default:false

If true, includes all data of children entities in consolidation

group_by
string

Response

200 - application/json
balance_sheet
object[]
headers
object
budget_id
string | null